Subject: Re: Building cygwin1.dll and mknetrel
From: Nicholas Wourms <[email-masked]>
To: Charles Wilson <[email-masked]>, egor duda <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Tue, 4 Jun 2002 16:26:22 -0700 (PDT)

--- Charles Wilson <[email-masked]> wrote:
> 
> 
> egor duda wrote:
> 
> > Hi!
> > 
> > Tuesday, 04 June, 2002 Christopher Faylor [email-masked] wrote:
> > 
> > 
> >>>      *       On my production system, I had to change the
> '#!/bin/sh' to
> >>>              '#!/bin/bash' on one of the mknetrel shell scripts
> >>>              to get the shell to accept the usage of getopts ... but
> on the
> >>>              fresh install, I did not.  (This is the bash getopts
> builtin,
> >>>              not the standalone and singular 'getopt' discussed
> above)
> >>>
> > 
> > CF> Yes, I have never run this under cygwin, actually.  It was
> intended as a
> > CF> cross-compilation environment.  I'm surprised that it works on
> cygwin
> > CF> with so few changes.
> > 
> > I'm running it on cygwin. All i need is to build getopt.exe and
> > readlink.exe from two attached source files. readlink.c is taken from
> > OpenBSD cvs, and getopt.c is slightly patched version of getopt.c from
> > linux-utils. They both can be built out-of-the-box.
> 
> 
> Hmm...these seem like useful additions, and since getopt.exe is from 
> linux-utils:
> 
> should readlink and getopt be added to cygutils?  </fear full.exe>
> 
Chuck,

As I mentioned earlier, they probably should, as they are YAE of those
small miscellaneous shell utilities you probably never think you'll use
but then one day realize you need them for some script you are writing :).
 Seriously, though, it would probably be useful to have these, not quite
as useful as a full port of glibc, but, nonetheless, useful in their own
way.  Anyone else feel this way?

Cheers,
Nicholas

__________________________________________________
Do You Yahoo!?
Yahoo! - Official partner of 2002 FIFA World Cup
http://fifaworldcup.yahoo.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/